Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class MainPreferencePage

    public class MainPreferencePage
    extends PreferencePage

## Constructor Summary

`MainPreferencePage()`

## Method Summary

`protected Control` | `createContents(Composite ancestor)`
`public void` | `init(IWorkbench workbench)` (non-Javadoc)
`public boolean` | `performOk()` (non-Javadoc)

## Constructor Detail

## MainPreferencePage

`public MainPreferencePage()`

MainPreferncePage is the constructor for the XSL Preference Page

## Methods Detail

## createContents

`protected Control createContents(Composite ancestor)`

### Parameters

`ancestor`

### Returns

`Control`

## init

`public void init(IWorkbench workbench)`

(non-Javadoc)

### Parameters

`workbench`

## performOk

`public boolean performOk()`

(non-Javadoc)

### Returns

`boolean`